Subject: bug#60990: 29.0.60; New seq release 2.24

From: Stefan Kangas <[email-masked]>
Date: Sat, 9 Sep 2023 05:28:21 -0700

Daniel Mendler <[email-masked]> writes:

> I just looked at the seq repository and noticed that the new additions
> (commit 9d9f51b0e3ca59e0a488801064512f4878ac910b, seq-split, seq-keep,
> etc.) seem to be missing from the file seq-24.el, such that the
> functionality of the package differs between Emacs 24 and Emacs 25 and
> newer.

Patches welcome, I think.

> It is a bit unfortunate that the code has to be duplicated but it may be
> a bit too early to drop Emacs 24 support from seq altogether?

There's no need to drop Emacs 24 support, but that support is still
useful even if it's not complete.

Packages that want to use the new stuff can also do that in the usual
ways, as Stefan M pointed out.